Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.server
Class CachingReflectionMBeanInvoker

    java.lang.Object
      mx4j.server.ReflectionMBeanInvoker
          mx4j.server.CachingReflectionMBeanInvoker

All Implemented Interfaces:
  MBeanInvoker

Direct Known Subclasses:
  BCELMBeanInvoker

public class CachingReflectionMBeanInvoker
extends ReflectionMBeanInvoker

Caching MBeanInvoker that uses reflection to invoke on MBean instances. Attributes and operations lookup is cached to speedup invocations.

Version:
  $Revision: 1.3 $

Field Summary

Fields inherited from class mx4j.server.ReflectionMBeanInvoker
`EMPTY_ARGS, EMPTY_PARAMS`

Constructor Summary
`CachingReflectionMBeanInvoker()`

Method Summary
`protected java.lang.String` | `getMethodForAttribute(javax.management.MBeanAttributeInfo attribute, boolean getter)` Returns the method name for the given attribute.
`protected javax.management.MBeanAttributeInfo` | `getStandardAttributeInfo(MBeanMetaData metadata, java.lang.String attribute, boolean forWrite)` Returns the MBeanAttributeInfo for the given attribute, or null if the attribute is not a management attribute.
`protected java.lang.reflect.Method` | `getStandardManagementMethod(MBeanMetaData metadata, java.lang.String name, java.lang.String[] signature)` Returns a java.lang.reflect.Method object for the given method name and signature.
`protected javax.management.MBeanOperationInfo` | `getStandardOperationInfo(MBeanMetaData metadata, java.lang.String method, java.lang.String[] signature)` Returns the MBeanOperationInfo for the given operation, or null if the operation is not a management operation.

Methods inherited from class mx4j.server.ReflectionMBeanInvoker
`doInvoke, getAttribute, invoke, invokeImpl, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingReflectionMBeanInvoker

    public CachingReflectionMBeanInvoker()

Method Detail

### getStandardOperationInfo

    protected javax.management.MBeanOperationInfo getStandardOperationInfo(MBeanMetaData metadata,
                                                                           java.lang.String method,
                                                                           java.lang.String[] signature)

  Description copied from class: `ReflectionMBeanInvoker`
  Returns the MBeanOperationInfo for the given operation, or null if the operation is not a management operation.

  Overrides:
    `getStandardOperationInfo` in class `ReflectionMBeanInvoker`

### getStandardAttributeInfo

    protected javax.management.MBeanAttributeInfo getStandardAttributeInfo(MBeanMetaData metadata,
                                                                           java.lang.String attribute,
                                                                           boolean forWrite)

  Description copied from class: `ReflectionMBeanInvoker`
  Returns the MBeanAttributeInfo for the given attribute, or null if the attribute is not a management attribute.

  Overrides:
    `getStandardAttributeInfo` in class `ReflectionMBeanInvoker`

### getMethodForAttribute

    protected java.lang.String getMethodForAttribute(javax.management.MBeanAttributeInfo attribute,
                                                     boolean getter)

  Description copied from class: `ReflectionMBeanInvoker`
  Returns the method name for the given attribute.

  Overrides:
    `getMethodForAttribute` in class `ReflectionMBeanInvoker`

### getStandardManagementMethod

    protected java.lang.reflect.Method getStandardManagementMethod(MBeanMetaData metadata,
                                                                   java.lang.String name,
                                                                   java.lang.String[] signature)
                                                            throws javax.management.ReflectionException

  Description copied from class: `ReflectionMBeanInvoker`
  Returns a java.lang.reflect.Method object for the given method name and signature.

  Overrides:
    `getStandardManagementMethod` in class `ReflectionMBeanInvoker`
  Throws:
    `javax.management.ReflectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.